Update a centro de resultados
curl --request PATCH \
--url https://api.finsync.ar/api/cost-centers/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": true,
"owner_name": "<string>",
"owner_email": "<string>",
"department": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
default_currency: '<string>',
default_internal_account_id: 123,
net_balance_by_default: true,
owner_name: '<string>',
owner_email: '<string>',
department: '<string>'
})
};
fetch('https://api.finsync.ar/api/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
default_currency: '<string>',
default_internal_account_id: 123,
net_balance_by_default: true,
owner_name: '<string>',
owner_email: '<string>',
department: '<string>'
})
};
fetch('https://api.finsync.ar/api/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/cost-centers/{id}"
payload = {
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": True,
"owner_name": "<string>",
"owner_email": "<string>",
"department": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Cost Centers
Update a centro de resultados
Updates optional fields on a cost center in the API-key company. Reuses the dashboard update helper. Delete is not supported.
PATCH
/
api
/
cost-centers
/
{id}
Update a centro de resultados
curl --request PATCH \
--url https://api.finsync.ar/api/cost-centers/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": true,
"owner_name": "<string>",
"owner_email": "<string>",
"department": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
default_currency: '<string>',
default_internal_account_id: 123,
net_balance_by_default: true,
owner_name: '<string>',
owner_email: '<string>',
department: '<string>'
})
};
fetch('https://api.finsync.ar/api/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
default_currency: '<string>',
default_internal_account_id: 123,
net_balance_by_default: true,
owner_name: '<string>',
owner_email: '<string>',
department: '<string>'
})
};
fetch('https://api.finsync.ar/api/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/cost-centers/{id}"
payload = {
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": True,
"owner_name": "<string>",
"owner_email": "<string>",
"department": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Authorizations
API Key for authentication
Path Parameters
Cost center ID
Body
application/json
Response
Updated cost center